Commit Graph

3 Commits

Author SHA1 Message Date
d51e85bc9d feat: TUI Experience — scrollback, input history, status bar, timestamps
Some checks failed
Deploy (Gitea) / deploy (push) Failing after 3s
2026-05-03 19:58:23 -04:00
a27a3d02b0 fix: pre-commit hook — handle non-lisp org files (no :tangle header)
Some checks failed
Deploy (Gitea) / deploy (push) Failing after 2s
The set -euo pipefail combined with grep returning non-zero on files
without a :tangle header (like ROADMAP.org) caused the hook to abort
silently, preventing commits. Added || true to the grep pipeline.
2026-05-03 15:57:39 -04:00
c2d3abe265 feat: pre-commit hook — compile-checks all defuns in staged org files
Some checks failed
Deploy (Gitea) / deploy (push) Failing after 2s
2026-05-03 14:27:09 -04:00